
function Skinner:Recount()

-->>-- Hook this to get window objects
	local rw, dgw
	self:SecureHook(Recount, "AddWindow", function(this, window)
--		self:Debug("R_AW: [%s, %s, %s]", this, window, window.Title:GetText())
		if window.Title:GetText() == "Reset Recount?" then rw = window end
		if window.Title:GetText() == "Death Graph" then dgw = window end
		end)

-->>-- Main Window
	Recount.MainWindow:SetBackdrop(nil)
	self:moveObject(Recount.MainWindow.Title, nil, nil, "+", 6)
	self:moveObject(Recount.MainWindow.RightButton, "+", 6, "+", 6)
	self:moveObject(Recount.MainWindow.CloseButton, "+", 6, "+", 8)
	if Recount.db.profile.MainWindow.ShowScrollbar then
		self:keepFontStrings(Recount.MainWindow.ScrollBar)
		self:skinScrollBar(Recount.MainWindow.ScrollBar)
	end

-- 	Create a frame to mirror the MainWindow and skin that, make it wider so the  bars fit on it
	local skinFrame = CreateFrame("Frame", "RMWSkin", Recount.MainWindow)
	skinFrame:SetFrameStrata("BACKGROUND")
	skinFrame:ClearAllPoints()
	skinFrame:SetPoint("TOPLEFT", Recount.MainWindow, "TOPLEFT", -3, -3)
	skinFrame:SetPoint("BOTTOMRIGHT", Recount.MainWindow, "BOTTOMRIGHT", 3, 3)
	self:applySkin(skinFrame)
	Recount.MainWindow.skinFrame = skinFrame

-->>-- Detail Window
	self:moveObject(Recount_DetailWindow.Title, nil, nil, "+", 8, Recount_DetailWindow)
	self:moveObject(Recount_DetailWindow.CloseButton, nil, nil, "+", 8, Recount_DetailWindow)
	self:moveObject(Recount_DetailWindow.LeftButton, nil, nil, "+", 8, Recount_DetailWindow)
	self:applySkin(Recount_DetailWindow)
-->>-- Graph Window
	self:moveObject(Recount_GraphWindow.Title, nil, nil, "+", 8, Recount_DetailWindow)
	self:keepFontStrings(Recount_GraphWindow_ScrollBar1)
	self:skinScrollBar(Recount_GraphWindow_ScrollBar1)
	self:keepFontStrings(Recount_GraphWindow_ScrollBar2)
	self:skinScrollBar(Recount_GraphWindow_ScrollBar2)
	self:applySkin(Recount_GraphWindow, true)
-->>-- Config Window
	self:SecureHook(Recount, "ShowConfig", function()
		self:moveObject(Recount_ConfigWindow.Title, "+", 10, "+", 8)
		self:moveObject(Recount_ConfigWindow.CloseButton, nil, nil, "+", 8)
		self:applySkin(Recount_ConfigWindow)
		self:Unhook(Recount, "ShowConfig")
		end)
-->>-- Report Window
	self:SecureHook(Recount, "ShowReport", function(this, Title, ReportFunc)
		self:moveObject(Recount_ReportWindow.Title, "+", 10, "+", 8)
		self:moveObject(Recount_ReportWindow.CloseButton, nil, nil, "+", 8)
		self:skinEditBox(Recount_ReportWindow.Whisper, {9})
		self:moveObject(Recount_ReportWindow.Whisper, "-", 6, "-", 6)
		self:applySkin(Recount_ReportWindow)
		self:Unhook(Recount, "ShowReport")
		end)
-->>-- DeathGraph Window
	self:SecureHook(Recount, "ShowDeathGraph", function(this, Health, Heals, Hits)
		if dgw then
			self:moveObject(dgw.Title, "+", 10, "+", 8, dgw)
			self:moveObject(dgw.CloseButton, nil, nil, "+", 8, dgw)
			self:applySkin(dgw)
		end
		self:Unhook(Recount, "ShowDeathGraph")
		end)

-->>-- Reset window
	self:SecureHook(Recount, "ShowReset", function()
		if rw then
			rw:SetHeight(rw:GetHeight() + 4)
			self:moveObject(rw.Title, nil, nil, "+", 8, rw)
			self:applySkin(rw)
		end
		self:Unhook(Recount, "ShowReset")
		end)

	-- hook these to manage the Scroll Bar display
	self:SecureHook(Recount, "HideScrollbarElements", function(this, name)
--		self:Debug("Recount-HSbE: [%s, %s]", this, name)
		_G[name.."ScrollBar"]:SetBackdrop(nil)
		end)
	self:SecureHook(Recount, "ShowScrollbarElements", function(this, name)
--		self:Debug("Recount-SSbE: [%s, %s]", this, name)
		self:keepFontStrings(_G[name])
		self:skinScrollBar(_G[name])
		end)

end
